<?php

namespace App\Providers;

use App\Component\Config\File;
use APP\Component\Config\IConfig;
use App\Jobs\Updater\IUpdater;
use Illuminate\Support\ServiceProvider;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        $this->app->singleton(IUpdater::class, function ($app) {
            return new \App\Jobs\Updater\Cloudflare();
        });
        $this->app->singleton(IConfig::class, function ($app) {
            return new File();
        });
    }
}
